XML System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

When a writer is instantiated, the write state is set to . While content is written, the write state is set to reflect the type of content being written. When the method is called, the write state is set to . The method resets the write state back to , allowing the writer to write a new XML document.

Specifies the state of the .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.WriteState Attribute To be added.

  Indicates that an attribute value is being written.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.WriteState Closed To be added.

  Indicates that the method has been called.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.WriteState Content To be added.

  Indicates that element content is being written.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.WriteState Element To be added.

  Indicates that an element start tag is being written.

  0
- Field
  2.0.0.0
  4.0.0.0
  System.Xml.WriteState

  This field was added in the dnprdnext release.

  An exception has been thrown, which has left the in an invalid state. You can call the method to put the in the state. Any other method calls results in an .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.WriteState Prolog To be added.

  Indicates that the prolog is being written.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.WriteState Start To be added.

  Indicates that a Write method has not yet been called.

  0
0